
QGIS Application - Bug report #8442

python error when copying errors with ctrl-c in "check geometry validity"

2013-08-11 04:17 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Alexander Bruy

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 17211

Description

Run the tool on a vector with errors, select an error and then ctrl-c

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/fTools/tools/doValidate.py", line 116, in keyPressEvent

    items.append( self.tblUnique.item( row, 0 ).text()

AttributeError: 'str' object has no attribute 'append'

Associated revisions

Revision 7b57676f - 2013-08-12 01:35 PM - Alexander Bruy

fix copying to clipboard in fTools (closes #8442)

History

#1 - 2013-08-12 04:36 AM - Alexander Bruy

- Assignee set to Alexander Bruy

- Status changed from Open to In Progress

This also happens with Basic statistics tool

#2 - 2013-08-12 04:47 AM - Alexander Bruy

- Status changed from In Progress to Closed

Fixed in changeset commit:"7b57676f02fefac2aa764528204d5fb09720c57a".

#3 - 2013-08-12 04:48 AM - Alexander Bruy

- Resolution set to fixed

#4 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
